"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commands = new Map([
    ['a0', 'Disarm'],
    ['a1', 'Arm to away'],
    ['a2', 'Arm to stay'],
    ['a3', 'Arm to stay instant'],
    ['a4', 'Arm to night'],
    ['a5', 'Arm to night instant'],
    ['a6', 'Arm to vacation'],
    ['a7', 'Arm step to next Away Mode'],
    ['a8', 'Arm step to next Stay Mode'],
    ['ar', 'Alarm Reporting Acknowledge'],
    // ['AR', 'Alarm Reporting to Ethernet'],
    ['as', 'Request arming status'],
    ['AS', 'Arming status report data'],
    ['at', 'Ethernet Test Acknowledge'],
    // ['AT', 'Ethernet Test to IP'],
    ['az', 'Alarm by zone request'],
    ['AZ', 'Alarm by zone reply'],
    ['CC', 'Control output change update'],
    ['cf', 'Control output OFF'],
    ['cn', 'Control output ON'],
    ['cp', 'Request ALL custom values'],
    ['cr', 'Request custom value'],
    ['CR', 'Custom value report data'],
    ['cs', 'Control output status request'],
    ['CS', 'Control output status report data'],
    ['ct', 'Control output TOGGLE'],
    ['cu', 'Change user code request'],
    ['CU', 'Change user code reply'],
    ['cw', 'Write custom value data'],
    ['cv', 'Request Counter value'],
    ['CV', 'Counter Value Data'],
    ['cx', 'Write counter value'],
    ['dm', 'Display message'],
    ['ds', 'Lighting Poll Request'],
    ['DS', 'Lighting Poll Response'],
    ['DK', 'Display KP LCD Data'],
    ['EM', 'Email Trigger to M1XEP'],
    ['IC', 'Send invalid user code digits'],
    ['IE', 'Installer program exited'],
    ['IP', 'M1XSP Insteon Program'],
    ['ip', 'M1XSP Insteon Program'],
    ['IR', 'M1XSP Insteon Read'],
    ['ir', 'M1XSP Insteon Read'],
    ['ka', 'Request keypad areas'],
    // ['KA', 'Keypad areas report data'],
    ['kc', 'Request F Key illumination status'],
    // ['KC', 'Keypad key change update'],
    ['kf', 'Request simulated function key press'],
    ['KF', 'Function key pressed data'],
    ['LD', 'Log data with index'],
    ['ld', 'Request log data, with index'],
    ['le', 'Write Log Data Entry'],
    ['lw', 'Request temperature data'],
    ['LW', 'Reply temperature data'],
    ['pc', 'Control any PLC device'],
    ['PC', 'PLC change update'],
    ['pf', 'Turn OFF PLC device'],
    ['pn', 'Turn ON PLC device'],
    ['ps', 'Request PLC status'],
    ['PS', 'PLC status report data'],
    ['pt', 'Toggle PLC device'],
    ['RE', 'Reset Ethernet Module'],
    ['RP', 'ELKRP connected'],
    ['rr', 'Request Real Time Clock Read'],
    ['RR', 'Real Time Clock Data'],
    ['rw', 'Real Time Clock Write'],
    ['sd', 'Request text string descriptions'],
    // ['SD', 'Text string description report data'],
    ['sp', 'Speak phrase'],
    ['ss', 'Request System Trouble Status'],
    ['SS', 'System Trouble Status data'],
    ['st', 'Request temperature'],
    ['ST', 'Temperature report data'],
    ['sw', 'Speak word'],
    ['TC', 'Task change update'],
    ['tn', 'Task activation'],
    ['tr', 'Request thermostat data'],
    ['TR', 'Thermostat data report'],
    ['ts', 'Set thermostat data'],
    ['ua', 'Request user code areas'],
    ['UA', 'User code areas report data'],
    ['vn', 'request Version Number of M1'],
    ['VN', 'Reply Version Number of M1'],
    ['XB', 'reserved by ELKRP'],
    ['xk', 'Reply from Ethernet test'],
    ['XK', 'Request Ethernet test'],
    ['zb', 'Zone bypass request'],
    ['ZB', 'Zone bypass report data'],
    // ['ZC', 'Zone change update'],
    ['zd', 'Request zone definition data'],
    // ['ZD', 'Zone definition report data'],
    ['zp', 'Zone partition request'],
    // ['ZP', 'Zone partition report data'],
    ['zs', 'Zone status request'],
    // ['ZS', 'Zone status report data'],
    ['zv', 'Request Zone analog voltage'],
    // ['ZV', 'Zone analog voltage data']
]);
exports.default = commands;
