"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Words = exports.Month = exports.WeekDay = exports.ChimeMode = exports.ThermostatMode = exports.TextDescriptionType = exports.LogicalState = exports.PhysicalStatus = exports.ArmMode = void 0;
var ArmMode;
(function (ArmMode) {
    ArmMode[ArmMode["Disarm"] = 0] = "Disarm";
    ArmMode[ArmMode["ArmedAway"] = 1] = "ArmedAway";
    ArmMode[ArmMode["ArmedStay"] = 2] = "ArmedStay";
    ArmMode[ArmMode["ArmedStayInstant"] = 3] = "ArmedStayInstant";
    ArmMode[ArmMode["ArmedNight"] = 4] = "ArmedNight";
    ArmMode[ArmMode["ArmedNightInstant"] = 5] = "ArmedNightInstant";
    ArmMode[ArmMode["ArmedVacation"] = 6] = "ArmedVacation";
    ArmMode[ArmMode["ArmToNextAwayMode"] = 7] = "ArmToNextAwayMode";
    ArmMode[ArmMode["ArmToNextStayMode"] = 8] = "ArmToNextStayMode";
    ArmMode[ArmMode["ForceArmToAwayMode"] = 9] = "ForceArmToAwayMode";
    ArmMode[ArmMode["ForceArmToStayMode"] = 10] = "ForceArmToStayMode";
})(ArmMode = exports.ArmMode || (exports.ArmMode = {}));
var PhysicalStatus;
(function (PhysicalStatus) {
    PhysicalStatus[PhysicalStatus["Unconfigured"] = 0] = "Unconfigured";
    PhysicalStatus[PhysicalStatus["Open"] = 1] = "Open";
    PhysicalStatus[PhysicalStatus["EOL"] = 2] = "EOL";
    PhysicalStatus[PhysicalStatus["Short"] = 3] = "Short";
})(PhysicalStatus = exports.PhysicalStatus || (exports.PhysicalStatus = {}));
var LogicalState;
(function (LogicalState) {
    LogicalState[LogicalState["Normal"] = 0] = "Normal";
    LogicalState[LogicalState["Trouble"] = 1] = "Trouble";
    LogicalState[LogicalState["Violated"] = 2] = "Violated";
    LogicalState[LogicalState["Bypassed"] = 3] = "Bypassed";
})(LogicalState = exports.LogicalState || (exports.LogicalState = {}));
var TextDescriptionType;
(function (TextDescriptionType) {
    TextDescriptionType[TextDescriptionType["Zone"] = 0] = "Zone";
    TextDescriptionType[TextDescriptionType["Area"] = 1] = "Area";
    TextDescriptionType[TextDescriptionType["User"] = 2] = "User";
    TextDescriptionType[TextDescriptionType["Keypad"] = 3] = "Keypad";
    TextDescriptionType[TextDescriptionType["Output"] = 4] = "Output";
    TextDescriptionType[TextDescriptionType["Task"] = 5] = "Task";
    TextDescriptionType[TextDescriptionType["Telephone"] = 6] = "Telephone";
    TextDescriptionType[TextDescriptionType["Light"] = 7] = "Light";
    TextDescriptionType[TextDescriptionType["AlarmDuration"] = 8] = "AlarmDuration";
    TextDescriptionType[TextDescriptionType["CustomSetting"] = 9] = "CustomSetting";
    TextDescriptionType[TextDescriptionType["Counter"] = 10] = "Counter";
    TextDescriptionType[TextDescriptionType["Thermostat"] = 11] = "Thermostat";
    TextDescriptionType[TextDescriptionType["F1"] = 12] = "F1";
    TextDescriptionType[TextDescriptionType["F2"] = 13] = "F2";
    TextDescriptionType[TextDescriptionType["F3"] = 14] = "F3";
    TextDescriptionType[TextDescriptionType["F4"] = 15] = "F4";
    TextDescriptionType[TextDescriptionType["F5"] = 16] = "F5";
    TextDescriptionType[TextDescriptionType["F6"] = 17] = "F6";
    TextDescriptionType[TextDescriptionType["AudioZone"] = 18] = "AudioZone";
    TextDescriptionType[TextDescriptionType["AudioSource"] = 19] = "AudioSource";
})(TextDescriptionType = exports.TextDescriptionType || (exports.TextDescriptionType = {}));
var ThermostatMode;
(function (ThermostatMode) {
    ThermostatMode[ThermostatMode["Off"] = 0] = "Off";
    ThermostatMode[ThermostatMode["Heat"] = 1] = "Heat";
    ThermostatMode[ThermostatMode["Cool"] = 2] = "Cool";
    ThermostatMode[ThermostatMode["Auto"] = 3] = "Auto";
    ThermostatMode[ThermostatMode["EmergencyHeat"] = 4] = "EmergencyHeat";
})(ThermostatMode = exports.ThermostatMode || (exports.ThermostatMode = {}));
var ChimeMode;
(function (ChimeMode) {
    ChimeMode[ChimeMode["Off"] = 0] = "Off";
    ChimeMode[ChimeMode["Chime"] = 1] = "Chime";
    ChimeMode[ChimeMode["Voice"] = 2] = "Voice";
    ChimeMode[ChimeMode["ChimeAndVoice"] = 3] = "ChimeAndVoice";
})(ChimeMode = exports.ChimeMode || (exports.ChimeMode = {}));
var WeekDay;
(function (WeekDay) {
    WeekDay[WeekDay["Sunday"] = 1] = "Sunday";
    WeekDay[WeekDay["Monday"] = 2] = "Monday";
    WeekDay[WeekDay["Tuesday"] = 3] = "Tuesday";
    WeekDay[WeekDay["Wednesday"] = 4] = "Wednesday";
    WeekDay[WeekDay["Thursday"] = 5] = "Thursday";
    WeekDay[WeekDay["Friday"] = 6] = "Friday";
    WeekDay[WeekDay["Saturday"] = 7] = "Saturday";
})(WeekDay = exports.WeekDay || (exports.WeekDay = {}));
var Month;
(function (Month) {
    Month[Month["January"] = 1] = "January";
    Month[Month["February"] = 2] = "February";
    Month[Month["March"] = 3] = "March";
    Month[Month["April"] = 4] = "April";
    Month[Month["May"] = 5] = "May";
    Month[Month["June"] = 6] = "June";
    Month[Month["July"] = 7] = "July";
    Month[Month["August"] = 8] = "August";
    Month[Month["September"] = 9] = "September";
    Month[Month["October"] = 10] = "October";
    Month[Month["November"] = 11] = "November";
    Month[Month["December"] = 12] = "December";
})(Month = exports.Month || (exports.Month = {}));
var Words;
(function (Words) {
    Words[Words["custom1"] = 1] = "custom1";
    Words[Words["custom2"] = 2] = "custom2";
    Words[Words["custom3"] = 3] = "custom3";
    Words[Words["custom4"] = 4] = "custom4";
    Words[Words["custom5"] = 5] = "custom5";
    Words[Words["custom6"] = 6] = "custom6";
    Words[Words["custom7"] = 7] = "custom7";
    Words[Words["custom8"] = 8] = "custom8";
    Words[Words["custom9"] = 9] = "custom9";
    Words[Words["custom10"] = 10] = "custom10";
    Words[Words["zero"] = 21] = "zero";
    Words[Words["one"] = 22] = "one";
    Words[Words["two"] = 23] = "two";
    Words[Words["three"] = 24] = "three";
    Words[Words["four"] = 25] = "four";
    Words[Words["five"] = 26] = "five";
    Words[Words["six"] = 27] = "six";
    Words[Words["seven"] = 28] = "seven";
    Words[Words["eight"] = 29] = "eight";
    Words[Words["nine"] = 30] = "nine";
    Words[Words["ten"] = 31] = "ten";
    Words[Words["eleven"] = 32] = "eleven";
    Words[Words["twelve"] = 33] = "twelve";
    Words[Words["thirteen"] = 34] = "thirteen";
    Words[Words["fourteen"] = 35] = "fourteen";
    Words[Words["fifteen"] = 36] = "fifteen";
    Words[Words["sixteen"] = 37] = "sixteen";
    Words[Words["seventeen"] = 38] = "seventeen";
    Words[Words["eighteen"] = 39] = "eighteen";
    Words[Words["nineteen"] = 40] = "nineteen";
    Words[Words["twenty"] = 41] = "twenty";
    Words[Words["thirty"] = 42] = "thirty";
    Words[Words["forty"] = 43] = "forty";
    Words[Words["fifty"] = 44] = "fifty";
    Words[Words["sixty"] = 45] = "sixty";
    Words[Words["seventy"] = 46] = "seventy";
    Words[Words["eighty"] = 47] = "eighty";
    Words[Words["ninety"] = 48] = "ninety";
    Words[Words["hundred"] = 49] = "hundred";
    Words[Words["thousand"] = 50] = "thousand";
    Words[Words["silence200ms"] = 51] = "silence200ms";
    Words[Words["silence500ms"] = 52] = "silence500ms";
    Words[Words["tone800hz"] = 53] = "tone800hz";
    Words[Words["a"] = 54] = "a";
    Words[Words["access"] = 55] = "access";
    Words[Words["acknowledged"] = 56] = "acknowledged";
    Words[Words["ac_power"] = 57] = "ac_power";
    Words[Words["activate"] = 58] = "activate";
    Words[Words["activated"] = 59] = "activated";
    Words[Words["active"] = 60] = "active";
    Words[Words["adjust"] = 61] = "adjust";
    Words[Words["air"] = 62] = "air";
    Words[Words["alarm"] = 63] = "alarm";
    Words[Words["alert"] = 64] = "alert";
    Words[Words["all"] = 65] = "all";
    Words[Words["am"] = 66] = "am";
    Words[Words["an"] = 67] = "an";
    Words[Words["and"] = 68] = "and";
    Words[Words["answer"] = 69] = "answer";
    Words[Words["any"] = 70] = "any";
    Words[Words["are"] = 71] = "are";
    Words[Words["area"] = 72] = "area";
    Words[Words["arm"] = 73] = "arm";
    Words[Words["armed"] = 74] = "armed";
    Words[Words["at"] = 75] = "at";
    Words[Words["attic"] = 76] = "attic";
    Words[Words["audio"] = 77] = "audio";
    Words[Words["auto"] = 78] = "auto";
    Words[Words["authorized"] = 79] = "authorized";
    Words[Words["automatic"] = 80] = "automatic";
    Words[Words["automation"] = 81] = "automation";
    Words[Words["auxiliary"] = 82] = "auxiliary";
    Words[Words["away"] = 83] = "away";
    Words[Words["b"] = 84] = "b";
    Words[Words["back"] = 85] = "back";
    Words[Words["barn"] = 86] = "barn";
    Words[Words["basement"] = 87] = "basement";
    Words[Words["bathroom"] = 88] = "bathroom";
    Words[Words["battery"] = 89] = "battery";
    Words[Words["bedroom"] = 90] = "bedroom";
    Words[Words["been"] = 91] = "been";
    Words[Words["bell"] = 92] = "bell";
    Words[Words["bottom"] = 93] = "bottom";
    Words[Words["break"] = 94] = "break";
    Words[Words["breakfast"] = 95] = "breakfast";
    Words[Words["bright"] = 96] = "bright";
    Words[Words["building"] = 97] = "building";
    Words[Words["burglar"] = 98] = "burglar";
    Words[Words["button"] = 99] = "button";
    Words[Words["by"] = 100] = "by";
    Words[Words["bypassed"] = 101] = "bypassed";
    Words[Words["cabinet"] = 102] = "cabinet";
    Words[Words["call"] = 103] = "call";
    Words[Words["camera"] = 104] = "camera";
    Words[Words["cancel"] = 105] = "cancel";
    Words[Words["carbon_monoxide"] = 106] = "carbon_monoxide";
    Words[Words["card"] = 107] = "card";
    Words[Words["center"] = 108] = "center";
    Words[Words["central"] = 109] = "central";
    Words[Words["change"] = 110] = "change";
    Words[Words["check"] = 111] = "check";
    Words[Words["chime"] = 112] = "chime";
    Words[Words["circuit"] = 113] = "circuit";
    Words[Words["clear"] = 114] = "clear";
    Words[Words["closed"] = 115] = "closed";
    Words[Words["closet"] = 116] = "closet";
    Words[Words["code"] = 117] = "code";
    Words[Words["cold"] = 118] = "cold";
    Words[Words["condition"] = 119] = "condition";
    Words[Words["connect"] = 120] = "connect";
    Words[Words["control"] = 121] = "control";
    Words[Words["cool"] = 122] = "cool";
    Words[Words["cooling"] = 123] = "cooling";
    Words[Words["corner"] = 124] = "corner";
    Words[Words["crawlspace"] = 125] = "crawlspace";
    Words[Words["danger"] = 126] = "danger";
    Words[Words["day"] = 127] = "day";
    Words[Words["deck"] = 128] = "deck";
    Words[Words["decrease"] = 129] = "decrease";
    Words[Words["defective"] = 130] = "defective";
    Words[Words["degrees"] = 131] = "degrees";
    Words[Words["delay"] = 132] = "delay";
    Words[Words["den"] = 133] = "den";
    Words[Words["denied"] = 134] = "denied";
    Words[Words["detected"] = 135] = "detected";
    Words[Words["detector"] = 136] = "detector";
    Words[Words["device"] = 137] = "device";
    Words[Words["dial"] = 138] = "dial";
    Words[Words["dialing"] = 139] = "dialing";
    Words[Words["dim"] = 140] = "dim";
    Words[Words["dining_room"] = 141] = "dining_room";
    Words[Words["disable"] = 142] = "disable";
    Words[Words["disarm"] = 143] = "disarm";
    Words[Words["disarmed"] = 144] = "disarmed";
    Words[Words["dock"] = 145] = "dock";
    Words[Words["door"] = 146] = "door";
    Words[Words["doors"] = 147] = "doors";
    Words[Words["down"] = 148] = "down";
    Words[Words["driveway"] = 149] = "driveway";
    Words[Words["east"] = 150] = "east";
    Words[Words["emergency"] = 151] = "emergency";
    Words[Words["enable"] = 152] = "enable";
    Words[Words["end"] = 153] = "end";
    Words[Words["energy"] = 154] = "energy";
    Words[Words["enrollment"] = 155] = "enrollment";
    Words[Words["enter"] = 156] = "enter";
    Words[Words["entering"] = 157] = "entering";
    Words[Words["entertainment"] = 158] = "entertainment";
    Words[Words["enter_the"] = 159] = "enter_the";
    Words[Words["entry"] = 160] = "entry";
    Words[Words["environment"] = 161] = "environment";
    Words[Words["equipment"] = 162] = "equipment";
    Words[Words["error"] = 163] = "error";
    Words[Words["evacuate"] = 164] = "evacuate";
    Words[Words["event"] = 165] = "event";
    Words[Words["exercise"] = 166] = "exercise";
    Words[Words["expander"] = 167] = "expander";
    Words[Words["exit"] = 168] = "exit";
    Words[Words["exterior"] = 169] = "exterior";
    Words[Words["f"] = 170] = "f";
    Words[Words["fail"] = 171] = "fail";
    Words[Words["failure"] = 172] = "failure";
    Words[Words["family_room"] = 173] = "family_room";
    Words[Words["fan"] = 174] = "fan";
    Words[Words["feed"] = 175] = "feed";
    Words[Words["fence"] = 176] = "fence";
    Words[Words["fire"] = 177] = "fire";
    Words[Words["first"] = 178] = "first";
    Words[Words["flood"] = 179] = "flood";
    Words[Words["floor"] = 180] = "floor";
    Words[Words["followed"] = 181] = "followed";
    Words[Words["force"] = 182] = "force";
    Words[Words["fountain"] = 183] = "fountain";
    Words[Words["foyer"] = 184] = "foyer";
    Words[Words["freeze"] = 185] = "freeze";
    Words[Words["front"] = 186] = "front";
    Words[Words["full"] = 187] = "full";
    Words[Words["furnace"] = 188] = "furnace";
    Words[Words["fuse"] = 189] = "fuse";
    Words[Words["game"] = 190] = "game";
    Words[Words["garage"] = 191] = "garage";
    Words[Words["gas"] = 192] = "gas";
    Words[Words["gate"] = 193] = "gate";
    Words[Words["glass"] = 194] = "glass";
    Words[Words["go"] = 195] = "go";
    Words[Words["good"] = 196] = "good";
    Words[Words["goodbye"] = 197] = "goodbye";
    Words[Words["great"] = 198] = "great";
    Words[Words["group"] = 199] = "group";
    Words[Words["guest"] = 200] = "guest";
    Words[Words["gun"] = 201] = "gun";
    Words[Words["hall"] = 202] = "hall";
    Words[Words["hallway"] = 203] = "hallway";
    Words[Words["hanging_up"] = 204] = "hanging_up";
    Words[Words["hang_up"] = 205] = "hang_up";
    Words[Words["has"] = 206] = "has";
    Words[Words["has_expired"] = 207] = "has_expired";
    Words[Words["have"] = 208] = "have";
    Words[Words["hear_menu_options"] = 209] = "hear_menu_options";
    Words[Words["heat"] = 210] = "heat";
    Words[Words["help"] = 211] = "help";
    Words[Words["high"] = 212] = "high";
    Words[Words["hold"] = 213] = "hold";
    Words[Words["home"] = 214] = "home";
    Words[Words["hot"] = 215] = "hot";
    Words[Words["hottub"] = 216] = "hottub";
    Words[Words["house"] = 217] = "house";
    Words[Words["humidity"] = 218] = "humidity";
    Words[Words["hvac"] = 219] = "hvac";
    Words[Words["if"] = 220] = "if";
    Words[Words["immediately"] = 221] = "immediately";
    Words[Words["in"] = 222] = "in";
    Words[Words["inches"] = 223] = "inches";
    Words[Words["increase"] = 224] = "increase";
    Words[Words["inner"] = 225] = "inner";
    Words[Words["input"] = 226] = "input";
    Words[Words["inside"] = 227] = "inside";
    Words[Words["instant"] = 228] = "instant";
    Words[Words["interior"] = 229] = "interior";
    Words[Words["in_the"] = 230] = "in_the";
    Words[Words["intruder"] = 231] = "intruder";
    Words[Words["intruder_message"] = 473] = "intruder_message";
    Words[Words["intrusion"] = 232] = "intrusion";
    Words[Words["invalid"] = 233] = "invalid";
    Words[Words["is"] = 234] = "is";
    Words[Words["is_about_to_expire"] = 235] = "is_about_to_expire";
    Words[Words["is_active"] = 236] = "is_active";
    Words[Words["is_armed"] = 237] = "is_armed";
    Words[Words["is_canceled"] = 238] = "is_canceled";
    Words[Words["is_closed"] = 239] = "is_closed";
    Words[Words["is_disarmed"] = 240] = "is_disarmed";
    Words[Words["is_low"] = 241] = "is_low";
    Words[Words["is_off"] = 242] = "is_off";
    Words[Words["is_ok"] = 243] = "is_ok";
    Words[Words["is_on"] = 244] = "is_on";
    Words[Words["is_open"] = 245] = "is_open";
    Words[Words["jacuzzi"] = 246] = "jacuzzi";
    Words[Words["jewelry"] = 247] = "jewelry";
    Words[Words["keep"] = 248] = "keep";
    Words[Words["key"] = 249] = "key";
    Words[Words["keypad"] = 250] = "keypad";
    Words[Words["kitchen"] = 251] = "kitchen";
    Words[Words["lamp"] = 252] = "lamp";
    Words[Words["laundry"] = 253] = "laundry";
    Words[Words["lawn"] = 254] = "lawn";
    Words[Words["leak"] = 255] = "leak";
    Words[Words["leave"] = 256] = "leave";
    Words[Words["left"] = 257] = "left";
    Words[Words["less"] = 258] = "less";
    Words[Words["level"] = 259] = "level";
    Words[Words["library"] = 260] = "library";
    Words[Words["light"] = 261] = "light";
    Words[Words["lights"] = 262] = "lights";
    Words[Words["line"] = 263] = "line";
    Words[Words["living_room"] = 264] = "living_room";
    Words[Words["loading"] = 265] = "loading";
    Words[Words["lobby"] = 266] = "lobby";
    Words[Words["location"] = 267] = "location";
    Words[Words["lock"] = 268] = "lock";
    Words[Words["low"] = 269] = "low";
    Words[Words["lower"] = 270] = "lower";
    Words[Words["m"] = 271] = "m";
    Words[Words["machine"] = 272] = "machine";
    Words[Words["mail"] = 273] = "mail";
    Words[Words["main"] = 274] = "main";
    Words[Words["mains"] = 275] = "mains";
    Words[Words["manual"] = 276] = "manual";
    Words[Words["master"] = 277] = "master";
    Words[Words["max"] = 278] = "max";
    Words[Words["media"] = 279] = "media";
    Words[Words["medical"] = 280] = "medical";
    Words[Words["medicine"] = 281] = "medicine";
    Words[Words["memory"] = 282] = "memory";
    Words[Words["menu"] = 283] = "menu";
    Words[Words["message"] = 284] = "message";
    Words[Words["middle"] = 285] = "middle";
    Words[Words["minute"] = 286] = "minute";
    Words[Words["missing"] = 287] = "missing";
    Words[Words["mode"] = 288] = "mode";
    Words[Words["module"] = 289] = "module";
    Words[Words["monitor"] = 290] = "monitor";
    Words[Words["more"] = 291] = "more";
    Words[Words["motion"] = 292] = "motion";
    Words[Words["motor"] = 293] = "motor";
    Words[Words["next"] = 294] = "next";
    Words[Words["night"] = 295] = "night";
    Words[Words["no"] = 296] = "no";
    Words[Words["normal"] = 297] = "normal";
    Words[Words["north"] = 298] = "north";
    Words[Words["not"] = 299] = "not";
    Words[Words["notified"] = 300] = "notified";
    Words[Words["now"] = 301] = "now";
    Words[Words["number"] = 302] = "number";
    Words[Words["nursery"] = 303] = "nursery";
    Words[Words["of"] = 304] = "of";
    Words[Words["off"] = 305] = "off";
    Words[Words["office"] = 306] = "office";
    Words[Words["oh"] = 307] = "oh";
    Words[Words["ok"] = 308] = "ok";
    Words[Words["on"] = 309] = "on";
    Words[Words["online"] = 310] = "online";
    Words[Words["only"] = 311] = "only";
    Words[Words["open"] = 312] = "open";
    Words[Words["operating"] = 313] = "operating";
    Words[Words["option"] = 314] = "option";
    Words[Words["or"] = 315] = "or";
    Words[Words["other"] = 316] = "other";
    Words[Words["out"] = 317] = "out";
    Words[Words["outlet"] = 318] = "outlet";
    Words[Words["output"] = 319] = "output";
    Words[Words["outside"] = 320] = "outside";
    Words[Words["over"] = 321] = "over";
    Words[Words["overhead"] = 322] = "overhead";
    Words[Words["panel"] = 323] = "panel";
    Words[Words["panic"] = 324] = "panic";
    Words[Words["parking"] = 325] = "parking";
    Words[Words["partition"] = 326] = "partition";
    Words[Words["patio"] = 327] = "patio";
    Words[Words["pause"] = 328] = "pause";
    Words[Words["perimeter"] = 329] = "perimeter";
    Words[Words["personal"] = 330] = "personal";
    Words[Words["phone"] = 331] = "phone";
    Words[Words["place"] = 332] = "place";
    Words[Words["play"] = 333] = "play";
    Words[Words["please"] = 334] = "please";
    Words[Words["plus"] = 335] = "plus";
    Words[Words["pm"] = 336] = "pm";
    Words[Words["police"] = 337] = "police";
    Words[Words["pool"] = 338] = "pool";
    Words[Words["porch"] = 339] = "porch";
    Words[Words["port"] = 340] = "port";
    Words[Words["pound"] = 341] = "pound";
    Words[Words["pounds"] = 342] = "pounds";
    Words[Words["power"] = 343] = "power";
    Words[Words["press"] = 344] = "press";
    Words[Words["pressure"] = 345] = "pressure";
    Words[Words["problem"] = 346] = "problem";
    Words[Words["program"] = 347] = "program";
    Words[Words["protected"] = 348] = "protected";
    Words[Words["pump"] = 349] = "pump";
    Words[Words["radio"] = 350] = "radio";
    Words[Words["raise"] = 351] = "raise";
    Words[Words["ready"] = 352] = "ready";
    Words[Words["rear"] = 353] = "rear";
    Words[Words["receiver"] = 354] = "receiver";
    Words[Words["record"] = 355] = "record";
    Words[Words["recreation"] = 356] = "recreation";
    Words[Words["relay"] = 357] = "relay";
    Words[Words["remain_calm"] = 358] = "remain_calm";
    Words[Words["remote"] = 359] = "remote";
    Words[Words["repeat"] = 360] = "repeat";
    Words[Words["report"] = 361] = "report";
    Words[Words["reporting"] = 362] = "reporting";
    Words[Words["reset"] = 363] = "reset";
    Words[Words["restored"] = 364] = "restored";
    Words[Words["return"] = 365] = "return";
    Words[Words["right"] = 366] = "right";
    Words[Words["roof"] = 367] = "roof";
    Words[Words["room"] = 368] = "room";
    Words[Words["running"] = 369] = "running";
    Words[Words["safe"] = 370] = "safe";
    Words[Words["save"] = 371] = "save";
    Words[Words["screen"] = 372] = "screen";
    Words[Words["second"] = 373] = "second";
    Words[Words["secure"] = 374] = "secure";
    Words[Words["security"] = 375] = "security";
    Words[Words["select"] = 376] = "select";
    Words[Words["sensor"] = 377] = "sensor";
    Words[Words["serial"] = 378] = "serial";
    Words[Words["service"] = 379] = "service";
    Words[Words["set"] = 380] = "set";
    Words[Words["setback"] = 381] = "setback";
    Words[Words["setpoint"] = 382] = "setpoint";
    Words[Words["setting"] = 383] = "setting";
    Words[Words["shed"] = 384] = "shed";
    Words[Words["shipping"] = 385] = "shipping";
    Words[Words["shock"] = 386] = "shock";
    Words[Words["shop"] = 387] = "shop";
    Words[Words["shorted"] = 388] = "shorted";
    Words[Words["shunted"] = 389] = "shunted";
    Words[Words["side"] = 390] = "side";
    Words[Words["silence"] = 391] = "silence";
    Words[Words["siren"] = 392] = "siren";
    Words[Words["sliding"] = 393] = "sliding";
    Words[Words["smoke"] = 394] = "smoke";
    Words[Words["someone"] = 395] = "someone";
    Words[Words["south"] = 396] = "south";
    Words[Words["spare"] = 397] = "spare";
    Words[Words["speaker"] = 398] = "speaker";
    Words[Words["sprinkler"] = 399] = "sprinkler";
    Words[Words["stairs"] = 400] = "stairs";
    Words[Words["stairway"] = 401] = "stairway";
    Words[Words["star"] = 402] = "star";
    Words[Words["start"] = 403] = "start";
    Words[Words["status"] = 404] = "status";
    Words[Words["stay"] = 405] = "stay";
    Words[Words["stock"] = 406] = "stock";
    Words[Words["stop"] = 407] = "stop";
    Words[Words["storage"] = 408] = "storage";
    Words[Words["storm"] = 409] = "storm";
    Words[Words["studio"] = 410] = "studio";
    Words[Words["study"] = 411] = "study";
    Words[Words["sump"] = 412] = "sump";
    Words[Words["sun"] = 413] = "sun";
    Words[Words["switch"] = 414] = "switch";
    Words[Words["system"] = 415] = "system";
    Words[Words["tamper"] = 416] = "tamper";
    Words[Words["tank"] = 417] = "tank";
    Words[Words["task"] = 418] = "task";
    Words[Words["telephone"] = 419] = "telephone";
    Words[Words["television"] = 420] = "television";
    Words[Words["temperature"] = 421] = "temperature";
    Words[Words["test"] = 422] = "test";
    Words[Words["thank_you"] = 423] = "thank_you";
    Words[Words["that"] = 424] = "that";
    Words[Words["the"] = 425] = "the";
    Words[Words["theater"] = 426] = "theater";
    Words[Words["thermostat"] = 427] = "thermostat";
    Words[Words["third"] = 428] = "third";
    Words[Words["time"] = 429] = "time";
    Words[Words["toggle"] = 430] = "toggle";
    Words[Words["top"] = 431] = "top";
    Words[Words["transformer"] = 432] = "transformer";
    Words[Words["transmitter"] = 433] = "transmitter";
    Words[Words["trespassing"] = 434] = "trespassing";
    Words[Words["trouble"] = 435] = "trouble";
    Words[Words["turn"] = 436] = "turn";
    Words[Words["twice"] = 437] = "twice";
    Words[Words["type"] = 438] = "type";
    Words[Words["under"] = 439] = "under";
    Words[Words["unit"] = 440] = "unit";
    Words[Words["unlocked"] = 441] = "unlocked";
    Words[Words["unoccupied"] = 442] = "unoccupied";
    Words[Words["up"] = 443] = "up";
    Words[Words["user"] = 444] = "user";
    Words[Words["utility"] = 445] = "utility";
    Words[Words["vacation"] = 446] = "vacation";
    Words[Words["valve"] = 447] = "valve";
    Words[Words["video"] = 448] = "video";
    Words[Words["violated"] = 449] = "violated";
    Words[Words["visitor"] = 450] = "visitor";
    Words[Words["wake_up"] = 451] = "wake_up";
    Words[Words["walk"] = 452] = "walk";
    Words[Words["wall"] = 453] = "wall";
    Words[Words["warehouse"] = 454] = "warehouse";
    Words[Words["warning"] = 455] = "warning";
    Words[Words["water"] = 456] = "water";
    Words[Words["way"] = 457] = "way";
    Words[Words["welcome"] = 458] = "welcome";
    Words[Words["west"] = 459] = "west";
    Words[Words["what"] = 460] = "what";
    Words[Words["when"] = 461] = "when";
    Words[Words["where"] = 462] = "where";
    Words[Words["will"] = 463] = "will";
    Words[Words["window"] = 464] = "window";
    Words[Words["windows"] = 465] = "windows";
    Words[Words["with"] = 466] = "with";
    Words[Words["work"] = 467] = "work";
    Words[Words["yard"] = 468] = "yard";
    Words[Words["year"] = 469] = "year";
    Words[Words["you"] = 470] = "you";
    Words[Words["zone"] = 471] = "zone";
    Words[Words["zones"] = 472] = "zones";
})(Words = exports.Words || (exports.Words = {}));
