"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZoneDefinition = exports.AreaReport = void 0;
/**
 * Represents an Area from an Arming Status Report.
 *
 * @export
 * @class AreaReport
 */
class AreaReport {
    constructor(id, armStatus, armUpState, alarmState) {
        this.id = id;
        this.armStatus = armStatus;
        this.armUpState = armUpState;
        this.alarmState = alarmState;
    }
}
exports.AreaReport = AreaReport;
/**
 * Represents a Zone Definition Report
 *
 * @export
 * @class ZoneDefinition
 */
class ZoneDefinition {
    constructor(id, definition) {
        this.id = id;
        this.definition = definition;
    }
}
exports.ZoneDefinition = ZoneDefinition;
