/**
 * Represents an Area from an Arming Status Report.
 *
 * @export
 * @class AreaReport
 */
export declare class AreaReport {
    id: number;
    armStatus: string;
    armUpState: string;
    alarmState: string;
    constructor(id: number, armStatus: string, armUpState: string, alarmState: string);
}
/**
 * Represents a Zone Definition Report
 *
 * @export
 * @class ZoneDefinition
 */
export declare class ZoneDefinition {
    id: number;
    definition: string;
    constructor(id: number, definition: string);
}
